Get signature

Retrieve a user's signature.

Get signature

GET https://api.signitic.app/signatures/:email/:mode

Path parameters

Name
Type
Description

email*

User email

mode*

String

json or html

Headers

Name
Type
Description

x-api-key*

String

Your API key

Success response

{
  "success": true,
  "html": "<body>signature</body>"
}

If mode=json, the API returns a JSON object with the generated signature HTML in the html field.

If mode=html, the API returns the raw HTML signature with a text/html content type.

Error responses

Status
Internal code
When

401

99

The x-api-key header is missing.

401

n/a

The API key does not match a workspace with API access. This error is returned in a legacy payload using error instead of success.

405

100

The reserved users path segment is used instead of a user email.

422

106

The user cannot receive a signature in the current state, for example because the user is inactive. Some business-rule errors are still returned in a legacy payload using error instead of success.

Last updated